| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
jvirt_sarray_control Struct Reference

## Public Attributes
JSAMPARRAY | mem_buffer
JDIMENSION | rows_in_array
JDIMENSION | samplesperrow
JDIMENSION | maxaccess
JDIMENSION | rows_in_mem
JDIMENSION | rowsperchunk
JDIMENSION | cur_start_row
JDIMENSION | first_undef_row
boolean | pre_zero
boolean | dirty
boolean | b_s_open
jvirt_sarray_ptr | next
backing_store_info | b_s_info

## Detailed Description

Definition at line 150 of file jmemmgr.c.

## Member Data Documentation

backing_store_info jvirt_sarray_control::b_s_info

Definition at line 163 of file jmemmgr.c.

boolean jvirt_sarray_control::b_s_open

Definition at line 161 of file jmemmgr.c.

JDIMENSION jvirt_sarray_control::cur_start_row

Definition at line 157 of file jmemmgr.c.

boolean jvirt_sarray_control::dirty

Definition at line 160 of file jmemmgr.c.

JDIMENSION jvirt_sarray_control::first_undef_row

Definition at line 158 of file jmemmgr.c.

JDIMENSION jvirt_sarray_control::maxaccess

Definition at line 154 of file jmemmgr.c.

JSAMPARRAY jvirt_sarray_control::mem_buffer

Definition at line 151 of file jmemmgr.c.

jvirt_sarray_ptr jvirt_sarray_control::next

Definition at line 162 of file jmemmgr.c.

boolean jvirt_sarray_control::pre_zero

Definition at line 159 of file jmemmgr.c.

JDIMENSION jvirt_sarray_control::rows_in_array

Definition at line 152 of file jmemmgr.c.

JDIMENSION jvirt_sarray_control::rows_in_mem

Definition at line 155 of file jmemmgr.c.

JDIMENSION jvirt_sarray_control::rowsperchunk

Definition at line 156 of file jmemmgr.c.

JDIMENSION jvirt_sarray_control::samplesperrow

Definition at line 153 of file jmemmgr.c.

The documentation for this struct was generated from the following file:

- /usr/local/bsoft/jpeg/jmemmgr.c